<?
require("../clases/matricula.class.php");
require("../clases/trabajo.class.php"); $objt = new trabajo();
$obj = new matricula();
$t = $_REQUEST["text"];
if($t=="R"){	
		 $f = date("Y-m-d");	
		 $idalu = $_REQUEST["idalu"];	
		 $iddoc_curso = $_REQUEST["iddoc_curso"];	
	 if($obj->Verificar($iddoc_curso,$idalu)) 
	  {
	    echo "<script languaje=javascript>\n"; 	
   		echo "alert('Ud. ya se encuentra inscrito en este curso, elija otro curso porfavor');location.href ='../listadocentes.php';";						
   		echo "</script>";  
	  }else{
				if($obj->Crear($idalu,$iddoc_curso,$f)){		
							echo "<script languaje=javascript>\n"; 
							echo "top.location.reload();window.location.href ='../listadocentes.php';";					
							echo "</script>"; 
									
				}else{
					   echo "no pasa nada";
					 }
			}
}

if($t=="E"){
 $id = $_REQUEST["ses"];
 $cod = $_REQUEST["id"];
 if($objt->BuscarPorMat($cod))
 {
   echo "<script languaje=javascript>\n"; 
   //echo "alert('No podra eliminar, existen trabajos relacionados a este curso, elimine los trabajos y proceda a quitar el curso');location.href ='../alumno.php?id=$id';";	
   echo "alert('No podra eliminar, existen trabajos relacionados a este curso, elimine los trabajos y proceda a quitar el curso');location.href ='../alumno.php?id=$id';";						
   echo "</script>"; 
 }else{
		   if($obj->Eliminar($cod))
		   {
			  if($objt->EliminarPormat($cod))
			  {
				echo "<script languaje=javascript>\n"; 
				echo "location.href ='../alumno.php?id=$id';";					
				echo "</script>";
			  }			
		   }
		   else
		   {
			echo "no pasa nada";
			}
	 }
	 
}	 
if($t=="D"){
$iddc = $_REQUEST["iddc"];
 $cod = $_REQUEST["id"];
 if($objt->BuscarPorMat($cod))
 {
   echo "<script languaje=javascript>\n"; 
   //echo "alert('No podra eliminar, existen trabajos relacionados a este curso, elimine los trabajos y proceda a quitar el curso');location.href ='../alumno.php?id=$id';";	
   echo "alert('No podra eliminar, existen trabajos relacionados a este curso, elimine los trabajos y proceda a quitar el curso');location.href ='../matriculados.php?id=$iddc';";						
   echo "</script>"; 
 }else{
		   if($obj->Eliminar($cod))
		   {
			  if($objt->EliminarPormat($cod))
			  {
				echo "<script languaje=javascript>\n"; 
				echo "location.href ='../matriculados.php?id=$iddc';";					
				echo "</script>";
			  }			
		   }
		   else
		   {
			echo "no pasa nada";
			}
	 }

}
?>
